Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date: Wed, 25 Aug 2010 01:23:25 +0400
From: Solar Designer <solar@...nwall.com>
To: john-users@...ts.openwall.com
Subject: Re: Small fix needed for netscreen.py and it doesn't work with python version 3

Robert,

On Tue, Aug 24, 2010 at 04:48:46PM -0400, rs904c@...scape.net wrote:
> So, should I keep the script in python 2.x format (but it won't run in python 3.x) , or upgrade to python 3.x format (but it won't run in python 2.x), or have two scripts, one in each format?

If you can't reasonably have one script working under both versions of
Python, or don't know how to achieve that, then I think it's preferable
to have two scripts.  We're talking about the jumbo patch, which is not
pretty anyway.

I'm not even a user of this script, though.

Thanks,

Alexander

Powered by blists - more mailing lists

Your e-mail address:

Confused about mailing lists and their use? Read about mailing lists on Wikipedia and check out these guidelines on proper formatting of your messages.